Bug 697483 - Review Request: django-celery - Django Celery Integration
Review Request: django-celery - Django Celery Integration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On: 722444
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 08:38 EDT by Rahul Sundaram
Modified: 2011-07-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 05:10:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-04-18 08:38:38 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/django-celery.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/django-celery-2.2.4-1.fc15.src.rpm
Description: 
django-celery provides Celery integration for Django; Using the Django ORM and 
cache backend for storing results, autodiscovery of task modules for 
applications listed in INSTALLED_APPS, and more.

Celery is a task queue/job queue based on distributed message passing. It is 
focused on real-time operation, but supports scheduling as well.

The execution units, called tasks, are executed concurrently on a single or more
worker servers. Tasks can execute asynchronously (in the background) or 
synchronously (wait until ready).
Comment 1 Matthias Runge 2011-04-27 03:49:43 EDT
I'll do the review.
Comment 2 Rahul Sundaram 2011-04-27 06:22:27 EDT
It's probably too much to ask but django-celery has a dependency on python-celery and that and a couple of its dependencies are still in the review queue.  Reviewing and approving those first is helpful.
Comment 3 Matthias Runge 2011-04-27 06:27:36 EDT
I'll take a look on it.
Comment 4 Rahul Sundaram 2011-06-23 10:24:11 EDT
Any updates?
Comment 5 Matthias Runge 2011-06-24 02:25:04 EDT
As you already saw, python-celery blocks this and has some depending packages; their review process currently stalled.
Comment 6 Ankur Sinha (FranciscoD) 2011-07-16 05:25:17 EDT
python-celery has been approved. I'll take over this review. I have some time on my hands :)
Comment 7 Ankur Sinha (FranciscoD) 2011-07-16 05:51:13 EDT
+ OK
- NA
? ISSUE

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:
[ankur@ankur SOURCES]$ md5sum ../SPECS/django-celery-2.2.4.tar.gz django-celery-2.2.4.tar.gz 
08ea1ce14af8a09c8eeae7fcfcaefaae  ../SPECS/django-celery-2.2.4.tar.gz
08ea1ce14af8a09c8eeae7fcfcaefaae  django-celery-2.2.4.tar.gz

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.
[ankur@ankur SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/*.rpm
django-celery.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-celery.noarch: W: spelling-error %description -l en_US autodiscovery -> auto discovery, auto-discovery, discovery
django-celery.noarch: W: no-manual-page-for-binary djcelerymon
django-celery.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-celery.src: W: spelling-error %description -l en_US autodiscovery -> auto discovery, auto-discovery, discovery
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

^^ 
Please make the spelling corrections. Not a blocker, obviously. 

- final provides and requires are sane:
[ankur@ankur result]$ review-req-check 
== django-celery-2.2.4-1.fc16.noarch.rpm ==
Provides:
django-celery = 2.2.4-1.fc16

Requires:
/usr/bin/python  
Django  
python(abi) = 2.7
python-celery  

== django-celery-2.2.4-1.fc16.src.rpm ==
Provides:

Requires:
python-setuptools-devel  
python-devel  

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
+ Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Just the spelling issues.  The rest is clean.
2. I generally use ?.?.egginfo in the file section. It's just a matter of taste.
Comment 8 Rahul Sundaram 2011-07-16 06:02:31 EDT
Thanks for the quick review

New Package SCM Request
=======================
Package Name: django-celery
Short Description: 
Owners: sundaram pjp
Branches: f15 el6
InitialCC: Django Celery Integration
Comment 9 Gwyn Ciesla 2011-07-16 10:37:28 EDT
Git done (by process-git-requests).


Moved description to proper field.

Note You need to log in before you can comment on or make changes to this bug.